const path = require('path')
const BUILD_TARGET_DIR = path.join(__dirname, 'build')

const base = {
  plugins: [],
  module: {
    rules: [
      {
        test: /\.(js|jsx)$/,
        exclude: path.resolve(__dirname, 'node_modules'),
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['@babel/preset-env'],
            plugins: []
          }
        }
      }
    ]
  },
  watch: false,
  watchOptions: {
    ignored: /node_modules/
  },
  externals: {},
  resolve: {},
  mode: process.env.NODE_ENV
}

module.exports = [
  {
    ...base,
    mode: 'development',
    entry: './index.js',
    output: {
      library: 'BabelPackages',
      libraryTarget: 'umd',
      libraryExport: 'default',
      filename: 'babel-packages.development.js',
      path: BUILD_TARGET_DIR
    }
  },
  {
    ...base,
    mode: 'production',
    entry: './index.js',
    output: {
      library: 'BabelPackages',
      libraryTarget: 'umd',
      libraryExport: 'default',
      filename: 'babel-packages.production.min.js',
      path: BUILD_TARGET_DIR
    }
  }
]
